Bug 58085 - [patch]remove sheet changes non-removed sheet references in formula
Summary: [patch]remove sheet changes non-removed sheet references in formula
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 3.13-dev
Hardware: PC All
: P2 critical (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2015-06-30 13:44 UTC by yli
Modified: 2015-10-23 12:45 UTC (History)
0 users



Attachments
handling ExternalSheetRecord when removing sheet (828 bytes, application/binary)
2015-06-30 13:44 UTC, yli
Details
test class to illustrate the issue (2.76 KB, text/plain)
2015-06-30 14:05 UTC, yli
Details
check null pointer for linkTable when no name references defined (831 bytes, application/binary)
2015-07-07 15:26 UTC, yli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yli 2015-06-30 13:44:04 UTC
Created attachment 32864 [details]
handling ExternalSheetRecord when removing sheet

We have xls file that defines many Name references, after calling removeSheetAt(), and save the workbook to a new file. Open the file in Excel, go to Formulas->Name Manager, some Names' reference sheet name got changed.

The issue exists in 3.11.Final, 3.12.Final and trunk.
Comment 1 yli 2015-06-30 14:05:02 UTC
Created attachment 32865 [details]
test class to illustrate the issue
Comment 2 yli 2015-07-07 15:26:24 UTC
Created attachment 32889 [details]
check null pointer for linkTable when no name references defined

recreated patch with extra check for null pointer
Comment 3 Dominik Stadler 2015-10-23 12:45:51 UTC
The patch is applied via r1710193, thanks a lot for the patch!